---
title: llarp::layers::platform::PlatformStats

---

# llarp::layers::platform::PlatformStats





## Public Functions

|                | Name           |
| -------------- | -------------- |
| bool | **[wants_client_exit](Classes/structllarp_1_1layers_1_1platform_1_1PlatformStats.md#function-wants-client-exit)**() const<br>return true if we want to use an exit.  |
| bool | **[client_exit_ready](Classes/structllarp_1_1layers_1_1platform_1_1PlatformStats.md#function-client-exit-ready)**() const<br>return true if we want an exit and have one ready.  |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::vector< [MappingStats](Classes/structllarp_1_1layers_1_1platform_1_1MappingStats.md) > | **[addrs](Classes/structllarp_1_1layers_1_1platform_1_1PlatformStats.md#variable-addrs)** <br>flow addr / platform addr mappings that we have allocated.  |

## Public Functions Documentation

### function wants_client_exit

```cpp
bool wants_client_exit() const
```

return true if we want to use an exit. 

### function client_exit_ready

```cpp
bool client_exit_ready() const
```

return true if we want an exit and have one ready. 

## Public Attributes Documentation

### variable addrs

```cpp
std::vector< MappingStats > addrs;
```

flow addr / platform addr mappings that we have allocated. 

-------------------------------

Updated on 2023-04-27 at 04:17:17 +0000